<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="detailed clearfix contactDetailed fenzuDetailed">
			<button id="close_btn" type="button" class="icon detailed_close"></button>
			<div class="common_content_title"><span id="goodsShow_title"></span></div>
			<div>
				<form id="couCateItemAddForm" method="post" enctype="multipart/form-data">
					<ul>
						<li>
							<span style="width:120px;">优惠券</span>
							<input type="hidden" name="couponCategoryItem" id="couponCategoryItem"/>
							<input type="hidden" name="couponId" id="couponId" value="" />
							<input id="couponDiv" class="form-control input140" type="text" value="" readOnly placeholder="只可选择张数无限的券"></input>
						</li>
						
						<li>
							<span style="width:120px;">商品类型</span>
							<input type="hidden" name="couponCategoryId" id="couponCategoryId" value=""/>
							<input size="16" type="text" class="form-control input140" id="couponCategorySelect" value="" input-type="select" readonly>
							<ul class="dropdown-menu" data=""></ul>
							<i class="input_icon input_down" style="left:230px;"></i>
						</li>
							
						<li>
							<span style="width:120px;">状态</span>
							<input type="hidden" name="statusId" id="statusId" value=""/>
							<input size="16" type="text" class="form-control input140" id="statusSelect" value="" input-type="select" readonly>
							<ul class="dropdown-menu" data="$.COUPON_CATEGORY_ITEM_STATUS"></ul>
							<i class="input_icon input_down" style="left:230px;"></i>
						</li>
						
						<li>
							<span style="width:120px;">类型排序</span>
							<input name="seq" id="seq" size="16" type="text" class="form-control input90" value="" data-options="required:true,length:'5',validType:'positiveNumber'">
							<span style="width: 200px;color: #dddddd;margin-left: 15px;">数字越大排名越靠前！</span>
						</li>
						
					</ul>
					<button type="button" class="btn btn-success btn-block choose_btn" onclick="javascript:goodsShowAdd();">保存</button>
				</form>
				
				<div id = "coupon-div" class="mask none">
					<div class="detailed labelChoose" style="margin-top:10px;">
					
						<button id="closeCoupon" type="button" class="icon detailed_close"></button>
					
						<div class="userDetailed_tab_scach clearfix">
							<div class="common_content_scach_box fl">
								<ul class="clearfix">
									<li style="margin:0;">
										<span>优惠券名称</span>
										<div>
											<input id="couponNameSea" name="couponNameSea" size="16" type="text" class="form-control" value="">
										</div>
									</li>
								</ul>
							</div>
							<i class="icon seach_btn fl" id="seachCoupon"></i>
						</div>
						
						<table id="couCateItemCouponTable" class="easyui-datagrid" style="width:90%;height:200px" 
							data-options="pagination:true,singleSelect:true,method:'post'">
								<thead>
									<tr>
							        	<th data-options="field:'couponId',checkbox:true">&nbsp;&nbsp;</th>
							            <th data-options="field:'couponName',width:180,align:'center'">优惠券名称</th>
							            <th data-options="field:'thruDate',width:180,align:'center',
											formatter : function(value, row, index) {return getDateString(value);}">有效期</th>
							            <!-- <th data-options="field:'issueQuantity',width:150,align:'center'">剩余张数</th> -->
							        </tr>
								</thead>
						</table>
						
						<button type="button" class="btn btn-success btn-block choose_btn" onclick="javascript:getCouponId();">使用</button>
					</div>
				</div>
				
			</div>
		</div>
				
			<script type="text/javascript">
				$(function() {
					require(['view/goods/couCateItemAdd'], function(re) {
						re.init();
					});
				});
			</script>
	</body>

</html>